# DeviceDisplay

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Provides properties and events to interact with the device's display.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceDisplay
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceDisplay
```

{% endtab %}
{% endtabs %}

Access this class through the [Device](/hybrid/start/api/general/wisej.hybrid.device.md) singleton.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceDisplay()

Creates a new instance of [DeviceDisplay](/hybrid/start/api/display/wisej.hybrid.devicedisplay.md).

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)KeepOn

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets or sets whether the device screen should be allowed to lock.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/display/wisej.hybrid.devicedisplay.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
